/*!
Theme Name: Helpotkotisivut
Theme URI: https://www.helpotkotisivut.fi/wordpress-kotisivut/
Template: kadence
Author: Helpotkotisivut
Author URI: https://www.helpotkotisivut.fi/
Description: Helppojen kotisivujen lapsiteema pohjautuen Kadence teemaan
Version: 0.3
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

/* Wordbreak */
h1, h2, h3, h4, h5, h6, p, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
	word-break: keep-all;
	hyphens: none;
	word-wrap: initial;
}

/* Main Header shadow */
#masthead .item-at-start {
	transition: box-shadow ease-in-out 200ms;
}
#masthead .item-is-stuck {
	box-shadow: 0 20px 40px -12px rgba(0,0,0,0.05);
	transition: all ease-in-out 200ms;
}

/* Mobile menu */
.drawer-header {padding: 0 1rem 0!important;}
.popup-drawer .drawer-content {padding: 0 1rem 2rem!important;}

/* Links no underline */
a, p a {text-decoration: none!important;}

/* Fluent Forms */
.fluentform form {
	margin: 0!important;
}
.fluentform input, .fluentform textarea , .fluentform select {
	padding: .6rem !important;
	border-radius: 0!important;
	font-size: 0.95rem!important;
}
.fluentform .ff-el-group {
	margin-bottom: 0.8rem !important;
}
[type="checkbox"], [type="radio"] {
    accent-color: #ffffff;
}
.wpsr-reviews-badge-wrapper {
	text-align: left !important;
}
.gdpr-consent-clause {
	font-size: 13px !important;
}
.gdpr-consent-clause a {
	color: var(--global-palette1) !important;
}
.tummataustainen-lomake a {
	color: #FFF !important;
	text-decoration: underline !important;
}
@media (max-width:767px) {
	.ff-el-group.ff_list_inline label > span, .ff-el-input--content label > span {
		font-size: 1rem !important;
	}
	.fluentform .ff-el-form-check-label .ff-el-form-check-input {
		top: 0! important;
		width: 1.3rem !important;
		height: 1.3rem !important;
		margin-right: .4rem !important;
	}
}
@media (min-width:768px) {
	.fluentform .ff-el-form-check-label .ff-el-form-check-input {
		top: 0! important;
		width: 1.2rem !important;
		height: 1.2rem !important;
		margin-right: .4rem !important;
	}
	.ff-el-group.ff_list_inline label > span, .ff-el-input--content label > span {
		font-size: 1rem !important;
	}
	.fluentform .ff-el-form-check {
    	margin-bottom: 0px !important;
	}
	.fluentform .ff-el-tc {
		margin-top: -0.4rem !important;
    	font-size: 0.95rem !important;
    	margin-bottom: 0.4rem !important;
	}
}

@media only screen and (min-width: 641px) {
    .fluentform .ff-el-group.ff_list_inline .ff-el-form-check {
        margin: 0 15px 0px 0 !important;
    }
}
.fluentform .ff-el-form-control:focus {
	border-color: var(--global-palette1) !important;
}
.fluentform .ff-el-form-control {
	border: none !important;
	font-family: var(--global-body-font-family) !important;
}
.single-content .fluentform {
	padding-top: 0.5rem;
	margin-bottom: -0.5rem !important;
}
[type="checkbox"], [type="radio"] {
	accent-color: var(--global-palette1);
}
@media only screen and (max-width:767px) {
	.fluentform .ff-el-tc label.ff_tc_label>div, .fluentform .ff-el-tc label.ff_tc_label>span {
		display: inline !important;
		font-size: 0.8rem !important;
	}
	.fluentform .ff-el-tc {
		margin-top: -5px !important;
		margin-bottom: -3px !important;
	}
}
.ff-default textarea {
    min-height: 40px !important;
}
.ff-default .ff-el-input--label label {
    font-size: 1.1rem;
}
.tummataustainen-lomake .ff-el-is-required.asterisk-right label:after {
    color: #FFF !important;
}

/* WP Social Ninja -contact */
/* Wrapper */
.wpsr-fm-chat-wrapper.wpsr-chat-icons-layout .wpsr-fm-chat-bubble.active .wpsr-fm-bubble-btn {
	-webkit-transform: none !important;
	transform: none !important;
}
.wpsr-fm-chat-wrapper {
	right: .5rem !important;
	bottom: .5rem!important;
	margin: 0!important;
}

/* Button */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble {
	right: 0!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble .wpsr-fm-bubble-btn.wpsr-fm-bubble-btn-has-text {
	border-radius: 25px !important;
	padding: 0.6rem 1.2rem!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble .wpsr-fm-bubble-btn.wpsr-fm-bubble-btn-has-text img {
	margin: 0 -0.3rem !important;
}

/* Chatbox wrapper */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box {
	right: 0.5rem!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box-display {
	margin-bottom: 4.4rem!important;
}

/* Chatbox close button */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-close {
	top: 1.4rem!important;
	right: .4rem!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-close:after, .wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-close:before {
	width: 1.4rem !important;
	height: 3px!important;
}

/* Chatbox header */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header {
	padding: 1rem !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header .wpsr-fm-group-details {
	padding: 0 !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header .wpsr-fm-group-details h3 {
	padding: 0 0 .4rem !important;
}

/* Chatbox content */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room {
	padding: 1rem !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room .wpsr-fm-conversation .wpsr-fm-greeting-msg {
	background-color: #fff !important;
	padding: 0!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room .wpsr-fm-conversation .wpsr-fm-greeting-msg p:first-child {
	padding: 0 0 .4rem !important;
}

/* Chatbox Fluent forms */
#fluentform_5 {
	margin: -1.5rem 0 !important;
}
#fluentform_5 .ff-btn-lg {
	border-radius: 0 !important;
	font-size: 16px;
}
#fluentform_5 input[type="text"], #fluentform_5 input[type="email"], #fluentform_5 input[type="url"], #fluentform_5 input[type="password"], #fluentform_5 input[type="search"], #fluentform_5 input[type="number"], #fluentform_5 input[type="tel"], #fluentform_5 input[type="range"], #fluentform_5 input[type="date"], #fluentform_5 input[type="month"], #fluentform_5 input[type="week"], #fluentform_5 input[type="time"], #fluentform_5 input[type="datetime"], #fluentform_5 input[type="datetime-local"], #fluentform_5 input[type="color"], #fluentform_5 textarea {
	background: none !important;
}
.wpsr-fm-chat-wrapper.wpsr-has-fluent-forms-widget .wpsr-fluent-form-title {
	padding: 1rem !important;
	font-size: 18px !important;
}
.wpsr-fm-chat-wrapper.wpsr-has-fluent-forms-widget .wpsr-fluent-form-title {
	border: none !important;
}
#fluentform_5 .ff-el-form-control {
	border-bottom: 1px solid #d5d5d5 !important;
	box-shadow: none !important;
	border-left: 0 !important;
	border-right: 0 !important;
	border-top: 0 !important;
	padding-left: 0 !important;
}
.wpsr-fm-chat-wrapper.wpsr-has-fluent-forms-widget .wpsr-fluent-form-title {
	margin-left: 4px !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room .wpsr-fm-conversation .wpsr-fm-user-picture img {
	display: none !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header .wpsr-fm-group-details h3 {
	margin-left: 1rem !important;
}

/* WP Social Ninja -soittopainike */
@media only screen and (max-width: 768px) {
	.wpsr-fm-chat-wrapper {
		right: .5rem !important;
		bottom: .5rem !important;
	}
	.wpsr-fm-chat-box {
		display: none !important;
	}
	.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble {
		right: 0!important;
	}
}

/* Blog */
.category-style-pill a {
	padding: 0.25rem 0.5rem !important;
	border-radius: 5rem !important;
}

/* Blog single */
@media only screen and (max-width: 767px) {
	.kadence-thumbnail-position-behind {
		margin-bottom: 0 !important;
	}
}

/* Single post related carousel */
.loop-entry .entry-content-wrap {
	min-height: 170px !important;
	height: 100%;
}
.splide .splide__pagination {
	bottom: -30px !important;
}
@media (max-width: 767px) {
	.loop-entry .entry-content-wrap {
		min-height: 195px !important;
		height: 100%;
	}
}
.entry-related-inner-content {
	padding-top: var(--global-md-spacing) !important;
	padding-bottom: var(--global-md-spacing) !important;
	padding-left: var(--global-xs-spacing) !important;
	padding-right: var(--global-xs-spacing) !important;
}
@media only screen and (max-width:767px) {
	.comment-navigation a, .post-navigation a {
		font-size: 1rem !important;
		line-height: 1.6 !important;
	}
	.comment-navigation, .post-navigation {
		margin: var(--global-xs-spacing) auto !important;
	}
}

@media only screen and (min-width:1025px) and (max-width:1600px) {
	.copyright-palkki > .kt-row-column-wrap {
		grid-template-columns: minmax(0, 1fr) !important;
		row-gap: 0.5rem !important;
	}
	.helpot-backlink {
		text-align: left !important;
	}
}

/* Hero täppälomakkeella */
@media only screen and (min-width:1025px) and (max-width:1200px) {
	.hero-lomakeosio > .kt-row-column-wrap {
		grid-template-columns: minmax(0, calc(63% - ((var(--kb-default-row-gutter, var(--global-row-gutter-md, 2rem)) * 1 )/2)))
		minmax(0, calc(37% - ((var(--kb-default-row-gutter, var(--global-row-gutter-md, 2rem)) * 1 )/2))) !important;
	}
}

.vaaleataustainen-lomake .lyhyt-lomake-tumma-button {
	background: var(--global-palette1) !important;
	color: #FFF !important;
	border: 0 !important;
}
.vaaleataustainen-lomake .lyhyt-lomake-tumma-button:hover {
	background: #FFF !important;
	color: var(--global-palette1) !important;
}
.fluentform.vaaleataustainen-lomake .ff-el-form-control {
	border: 1px solid #dadbdd !important;
}
.vaaleataustainen-lomake .asterisk-right label:after {
    color: #000 !important;
}

.hero-ota-yhteytta .kt-accodion-icon-style-xclose .kt-blocks-accordion-icon-trigger:before, .hero-ota-yhteytta .kt-accodion-icon-style-xclose .kt-blocks-accordion-icon-trigger:after {
   width: 15px !important;
   height: 3px !important;
}

.kb-splide .splide__arrow {
    font-size: 1.2rem !important;
    background: none !important;
    color: #333 !important;
	opacity: 0.8 !important;
}

@media only screen and (max-width:767px) {
	.wp-block-kadence-testimonials .kt-blocks-carousel-init:not(.kt-carousel-dotstyle-none) {
		padding-bottom: 15px !important;
	}
}

.kt-testimonial-content {
    margin-bottom: 0.2rem !important;
}

.kt-accodion-icon-style-basic .kt-blocks-accordion-icon-trigger:before, .kt-accodion-icon-style-basic .kt-blocks-accordion-icon-trigger:after {
    height: 2px !important;
}

.blogi-tyyli .kt-blocks-post-grid-item .entry-title a:not(.button):not(.list) {
    background: #000 !important;
    margin-top: -10px !important;
	padding: 10px;
	color: #FFF !important;
	min-height: 76px;
}

.blogi-tyyli .kt-blocks-post-grid-item .kt-blocks-post-top-meta {
    margin-top: 0.5rem;
}

.palveluotsikko {
    padding-bottom: 0;
    transition: 0.2s all ease-in-out;
}
.palvelupalsta:hover .palveluotsikko {
    padding-bottom: 0.5rem;
    transition: .2s all ease-in-out;
}

.menu-item.non-clickable > a {
    pointer-events: none;
    cursor: default;
}

.wc-block-cart__submit {
    padding: 0 !important;
    border: none !important;
}

.woocommerce-Tabs-panel--description h2:first-of-type, .woocommerce-Tabs-panel--additional_information h2:first-of-type {
	display: none;
}

.header-account-style-icon_label .header-account-label {
    font-weight: 400;
    font-size: 17px;
    margin-left: 0.2rem !important;
}
.site-header-item .header-account-wrap .header-account-button {
	border: none !important;
}
.woocommerce div.product div.images .flex-control-thumbs {
    margin-top: 1rem !important;
	margin-bottom: 1rem !important;
}

.woocommerce div.product div.images .flex-control-thumbs {
    display: grid !important;
    left: 0 !important;
    grid-template-columns: repeat(4, 1fr) !important;
	transform: none !important;
	max-width: 100% !important;
}

.woocommerce div.product div.images .flex-control-thumbs li {
    height: auto !important;
    width: 100% !important;
}

.slbImage {
    padding: 3em 0 !important;
}

.page-id-20144 .wp-block-kadence-image figcaption {
    display: none;
}
.woocommerce-variation-availability .stock.in-stock::before {
    content: "";
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 6px;
    vertical-align: middle;
    background: url("https://sivudemo.com/helsingin-villasukkatehdas/wp-content/uploads/2026/02/varastossa-ikoni.svg") no-repeat center;
    background-size: contain;
}

.woocommerce-tabs ul.tabs li.active a {
	border-bottom: 1px solid #FFF !important;
}
.woocommerce-tabs ul.tabs li:not(.active) a {
	border-bottom: 1px solid var(--global-palette1) !important;
}

/* Etusivun tuotteet */
.wp-block-kadence-query-card .kb-query-grid-wrap .kb-query-item.product {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

@media(min-width:768px) {
	.tuotteen-otsikko {
		font-size: 1.5rem !important;
	}
}
@media (max-width:767px) {
	.lisaa-koriin a {
		font-size: 0.7rem !important;
		font-weight: 500 !important;
	}
}

/* Keskitä värivaihtoehdot ostoskorissa */
.woocommerce-cart .yay-swatch-variation-wrapper tbody {
    display: flex !important;
    justify-content: center !important;
    width: 100% !important;
}

/* Saatat olla kiinnostunut -tyylit ostoskorissa */
.woocommerce-cart .wp-block-woocommerce-product-collection h2.wp-block-heading {
    font-size: 1.3rem;
    padding-bottom: 1rem;
}

/* Luuppigalleria */
.woocommerce-loop-image-link::after {
  content: "";
  position: absolute;
  left: 5px;
  bottom: 5px;

  width: 90px;
  height: 100px;

  background-image: url("https://sivudemo.com/helsingin-villasukkatehdas/wp-content/uploads/2026/02/tehty-suomessa-made-in-finland.webp");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  z-index: 10;
  pointer-events: none;
}

/* Overlay badge */
.woocommerce-product-gallery .kadence-product-gallery-main::after {
  content: "";
  position: absolute;
  left: 5px;
  bottom: 5px;

  width: 110px;
  height: 122px;

  background-image: url("https://sivudemo.com/helsingin-villasukkatehdas/wp-content/uploads/2026/02/tehty-suomessa-made-in-finland.webp");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  z-index: 20;
  pointer-events: none;
}

/* Adv query product badge */
li.kb-query-item .wp-block-kadence-image {
  position: relative;
}

li.kb-query-item .wp-block-kadence-image::after {
  content: "";
  position: absolute;
  left: 0px;
  bottom: 0px;
  width: 110px;
  height: 122px;
  background: url("https://sivudemo.com/helsingin-villasukkatehdas/wp-content/uploads/2026/02/tehty-suomessa-made-in-finland.webp") center / contain no-repeat;
  z-index: 10;
  pointer-events: none;
}


.woocommerce ul.products li.product {
  display: flex;
  flex-direction: column;
}

.woocommerce ul.products li.product .product-details {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.woocommerce ul.products li.product .product-action-wrap {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.woocommerce ul.products li.product .yay-swatches-add-to-cart-button {
  margin-top: auto;
}

.woocommerce ul.products li.product .product-action-wrap {
    justify-content: flex-end;
}

.woocommerce ul.products li.product .product-action-wrap {
	margin-top: 0 !important;
}

.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    border: 1px solid #f6f6f6;
}

.kwt-related-wrap .woocommerce-loop-product__title {
	padding: 0.5rem 1rem !important;
}

.kwt-related-wrap ul.products li.product .price {
    padding-left: 1rem !important;
    padding-right: 1rem !important;
}